Jump to content
Barry Downs

ATV495X Showmax & YouTube no longer work

Recommended Posts

ATV495X Showmax & YouTube no longer work

Around August/early September 2019 Showmax stopped working on my ATV495X with the message "Encoding is not supported (PLA1005) or "Oops... Your device does not support the required DRM (Widevine Modular) (AND1204)". Strangely, though, Showmax DOES run trailers - just not a full video!

Likewise YouTube says "A new version of YouTube is available. Install now from Google Play" - but I cannot download and install it.

I have searched MyGica, Internet etc to no avail. 

The next step is to throw the box at the wall - it won't make it work, but it may make me feel a bit better!
Any suggestions?

Share this post


Link to post
Share on other sites

I had the same problem last week. (Early September)

It seems the latest versions of Netflix and Showmax on the Google Play Store are not compatible with the older android software. 

I kept on having to download and use older versions of Netflix and Showmax from the Aptoide Store.

Then recently it became impossible to sign in to my Showmax account on the ATV495.

Netflix gave me an incompatible software version error.

My Netflix kept on updating to versions that wouldn't work on my device.

No problem with login on my other devices and computers..

My solution was to upgrade my ATV495 Android TV firmware version 5 to version 7.1 (It has DRM (Widevine Modular support)

Load the firmware file in the root folder of a Fat32 formatted MicroSD card and use a toothpick to press and hold the button deep inside the av socket while turning your device on.

https://www.mygica.co.za/downloads/   ATV495X firmware (Version 7.1)

Now the latest version of Showmax and Netflix from Google Play store  both work on my device

Hope it helps for you too.

Share this post


Link to post
Share on other sites

Correction.

The toothpick reset button is on the ATV1960.

For the ATV495,  with the microsd card in the slot, press and hold the power button while inserting the power cord.

Share this post


Link to post
Share on other sites

Why did I receive a message that my mobile device will no longer be compatible with the Showmax app? (PLA1019)

Showmax aims to support as many devices as possible. However, with new technology being released all the time, it isn’t always possible to continue supporting some older phones and tablets. If you have recently received a message that your device will be or is no longer compatible with Showmax, try:

  • Making sure you have the latest version of the Showmax app
  • Installing newest version of the operating system available for your device

Android: Google uses a digital rights management (DRM) platform to help combat piracy. If your device supports only Widevine Classic DRM, you won’t be able to stream or download content on that device from 31 July 2019, as Widevine Classic is being decommissioned. To check, go to Menu > About > Supported DRMs, and see if only Widevine Classic is listed.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...